Page MenuHomeFreeBSD

net-mgmt/netbox: Update to 2.5.12 and switch to Django 2.2, Create necessary dj22-* ports accordingly
ClosedPublic

Authored by kai on Apr 30 2019, 11:02 AM.

Details

Summary

Upstream switched from Django 2.1 to Django 2.2. The reason behind this is that it fixes intermittent errors when objects are deleted/manipulated. (https://github.com/digitalocean/netbox/issues/2621). Django 2.2 is also designed as new LTS release so it makes sense to switch over to that version. (https://www.djangoproject.com/download/#supported-versions)

The whole diff does following actions in short:

  • Update www/Makefile
  • Repocopy following ports, assign them to Django 2.2 and limit them to Python 3.5 or later:
    • www/py-django-cors-headers -> www/py-dj22-django-cors-headers
    • www/py-django-debug-toolbar -> www/py-dj22-django-debug-toolbar
    • www/py-django-filter -> www/py-dj22-django-filter
    • www/py-django-js-asset -> www/py-dj22-django-js-asset
    • www/py-django-mptt -> www/py-dj22-django-mptt
    • www/py-django-tables2 -> www/py-dj22-django-tables2
    • www/py-django-taggit-serializer -> www/py-dj22-django-taggit-serializer
    • www/py-django-timezone-field -> www/py-dj22-django-timezone-field
    • www/py-drf-yasg -> www/py-dj22-drf-yasg
  • Update all related CONFLICTS_INSTALL entries
Test Plan
  • poudriere (11.2-RELEASE amd64) for py36 -> OK
  • portlint -> OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kai created this revision.Apr 30 2019, 11:02 AM
kai added a reviewer: Python.May 12 2019, 1:29 PM
koobs requested changes to this revision.May 17 2019, 11:28 AM
koobs added a subscriber: koobs.

Add netbox changes that motivate these changes to the diff, it helps for everyone to have full context, especially if they're unfamiliar.

On deprecat'ing consumer-less django 21 ports, I'd wait and do that in a separate change (if necessary, we can discuss there or offline)

It would be good to clarify in the summary what the current status of django ports are (django, dj22, dj21?) for those that dont know (i dont, but im assuming)

This revision now requires changes to proceed.May 17 2019, 11:28 AM
kai updated this revision to Diff 57482.May 17 2019, 2:58 PM

Updated the review with a more precise target:

  • Update net-mgmt/netbox to 2.5.12
  • Include only the required ports that need to be repocopied/modified to match the given requirements
kai retitled this revision from New ports: Create some ports that use Django 2.2 in preparation for NetBox 2.6 to net-mgmt/netbox: Update to 2.5.12 and switch to Django 2.2, Create necessary dj22-* ports accordingly.May 17 2019, 3:01 PM
kai edited the summary of this revision. (Show Details)
kai edited the test plan for this revision. (Show Details)
miwi accepted this revision.May 24 2019, 11:49 AM

Since we have done that in the same way for all other netbox releases please go for it.

This revision was not accepted when it landed; it landed in state Needs Review.May 25 2019, 10:10 AM
This revision was automatically updated to reflect the committed changes.